.\" $NetBSD: rpc.5,v 1.8 2005/03/30 13:07:34 jmmv Exp $
.\" @(#)rpc.4 1.17 93/08/30 SMI; from SVr4
.\" Copyright 1989 AT&T
.Dd December 10, 1991
.Dt RPC 5
.Os
.Sh NAME
.Nm rpc
.Nd rpc program number data base
.Sh SYNOPSIS
.Fa /etc/rpc
.Sh DESCRIPTION
The
.Nm
file is a local source containing user readable names that
can be used in place of RPC program numbers.
.Pp
The rpc file has one line for each RPC
program name. The line has the following format:
.Pp
.Dl name-of-the-RPC-program	RPC-program-number	aliases
.Pp
Items are separated by any number of blanks and/or
tab characters.
A hash
.Pq Dq \&#
indicates the beginning of a comment;
characters up to the end of the line are not interpreted
by routines which search the file.
.Sh FILES
.Nm /etc/nsswitch.conf
.Sh EXAMPLES
Below is an example of an RPC database:
.Pp
.Bd -literal
#
#	rpc
#
rpcbind		100000	portmap	sunrpc portmapper
rusersd		100002	rusers
nfs		100003	nfsprog
mountd		100005	mount	showmount
walld		100008	rwall	shutdown
sprayd		100012	spray
llockmgr	100020
nlockmgr	100021
status		100024
bootparam	100026
keyserv		100029	keyserver
.Ed
.Sh SEE ALSO
.Xr getrpcent 3
